Update a Profile

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
PUT /profiles/{profile_id}

A SERVER user may update any profile. A COMPANY user on an internal client app may update their own profile's name, address, contact and time_zone fields. The license and account-state fields max_user, max_page, is_trial, is_active and support_hours are SERVER only.

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

application/json

Body

  • name string
  • address1 string
  • address2 string
  • city string
  • zip string
  • state string
  • country string
  • phone string
  • fax string
  • email string
  • max_user number
  • max_page number
  • is_active boolean
  • time_zone string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated profile id

  • 403 application/json

    Forbidden - the caller is not a SERVER user and is not a COMPANY user of this profile on an internal client app, or the body sets max_user, max_page, is_trial, is_active or support_hours and the caller is not a SERVER user.

    Hide response attribute Show response attribute object
    • error_message string Required

      human-readable reason for the failure

PUT /profiles/{profile_id}
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '{
  "address1": "13665 Dulles Technology Dr., Suite 110",
  "address2": "",
  "city": "Herndon",
  "zip": "20171",
  "state": "VA",
  "country": "USA",
  "phone": "1-866-ZERION-1"
}'
Request example
{
  "address1": "13665 Dulles Technology Dr., Suite 110",
  "address2": "",
  "city": "Herndon",
  "zip": "20171",
  "state": "VA",
  "country": "USA",
  "phone": "1-866-ZERION-1"
}
Response examples (200)
{
  "id": 161521
}
Response examples (403)
{
  "error_message": "string"
}